<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:31 GMT 2020 -->
<title>LinkedQueue</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LinkedQueue";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../QueuePackage/LinearNode.html" title="class in QueuePackage"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../QueuePackage/QueueADT.html" title="interface in QueuePackage"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?QueuePackage/LinkedQueue.html" target="_top">Frames</a></li>
<li><a href="LinkedQueue.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">QueuePackage</div>
<h2 title="Class LinkedQueue" class="title">Class LinkedQueue&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>QueuePackage.LinkedQueue&lt;T&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../QueuePackage/QueueADT.html" title="interface in QueuePackage">QueueADT</a>&lt;T&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">LinkedQueue&lt;T&gt;</span>
extends java.lang.Object
implements <a href="../QueuePackage/QueueADT.html" title="interface in QueuePackage">QueueADT</a>&lt;T&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../QueuePackage/LinkedQueue.html#count">count</a></span></code>
<div class="block">Number of elements in the queue</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../QueuePackage/LinearNode.html" title="class in QueuePackage">LinearNode</a>&lt;<a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../QueuePackage/LinkedQueue.html#front">front</a></span></code>
<div class="block">front node reference and rear node reference</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../QueuePackage/LinearNode.html" title="class in QueuePackage">LinearNode</a>&lt;<a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../QueuePackage/LinkedQueue.html#rear">rear</a></span></code>
<div class="block">front node reference and rear node reference</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../QueuePackage/LinkedQueue.html#LinkedQueue--">LinkedQueue</a></span>()</code>
<div class="block">Constructor method</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../QueuePackage/LinkedQueue.html#dequeue--">dequeue</a></span>()</code>
<div class="block">Method that removes if possible the front Node from the Queue</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../QueuePackage/LinkedQueue.html#enqueue-T-">enqueue</a></span>(<a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a>&nbsp;element)</code>
<div class="block">Method that adds an ellement to the rear of the queue</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../QueuePackage/LinkedQueue.html#first--">first</a></span>()</code>
<div class="block">Method that returns the element in the front of the queue</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../QueuePackage/LinkedQueue.html#isEmpty--">isEmpty</a></span>()</code>
<div class="block">Returns true if this queue contains no elements.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../QueuePackage/LinkedQueue.html#size--">size</a></span>()</code>
<div class="block">Rerturn the number of elements in this queue</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../QueuePackage/LinkedQueue.html#toString--">toString</a></span>()</code>
<div class="block">Returns a string representation of this queue.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="count">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>count</h4>
<pre>private&nbsp;int count</pre>
<div class="block">Number of elements in the queue</div>
</li>
</ul>
<a name="front">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>front</h4>
<pre>private&nbsp;<a href="../QueuePackage/LinearNode.html" title="class in QueuePackage">LinearNode</a>&lt;<a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a>&gt; front</pre>
<div class="block">front node reference and rear node reference</div>
</li>
</ul>
<a name="rear">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>rear</h4>
<pre>private&nbsp;<a href="../QueuePackage/LinearNode.html" title="class in QueuePackage">LinearNode</a>&lt;<a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a>&gt; rear</pre>
<div class="block">front node reference and rear node reference</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="LinkedQueue--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LinkedQueue</h4>
<pre>public&nbsp;LinkedQueue()</pre>
<div class="block">Constructor method</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="enqueue-java.lang.Object-">
<!--   -->
</a><a name="enqueue-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enqueue</h4>
<pre>public&nbsp;void&nbsp;enqueue(<a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a>&nbsp;element)</pre>
<div class="block">Method that adds an ellement to the rear of the queue</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../QueuePackage/QueueADT.html#enqueue-T-">enqueue</a></code>&nbsp;in interface&nbsp;<code><a href="../QueuePackage/QueueADT.html" title="interface in QueuePackage">QueueADT</a>&lt;<a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - the element to be added to the rear of this queue</dd>
</dl>
</li>
</ul>
<a name="dequeue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dequeue</h4>
<pre>public&nbsp;<a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a>&nbsp;dequeue()
          throws <a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></pre>
<div class="block">Method that removes if possible the front Node from the Queue</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../QueuePackage/QueueADT.html#dequeue--">dequeue</a></code>&nbsp;in interface&nbsp;<code><a href="../QueuePackage/QueueADT.html" title="interface in QueuePackage">QueueADT</a>&lt;<a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The element from the node referenced in the front of the queue</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></code> - if the collection is empty</dd>
</dl>
</li>
</ul>
<a name="first--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>first</h4>
<pre>public&nbsp;<a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a>&nbsp;first()
        throws <a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></pre>
<div class="block">Method that returns the element in the front of the queue</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../QueuePackage/QueueADT.html#first--">first</a></code>&nbsp;in interface&nbsp;<code><a href="../QueuePackage/QueueADT.html" title="interface in QueuePackage">QueueADT</a>&lt;<a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the element in the front of the queue</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></code> - if the collection is empty</dd>
</dl>
</li>
</ul>
<a name="isEmpty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>public&nbsp;boolean&nbsp;isEmpty()</pre>
<div class="block">Returns true if this queue contains no elements.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../QueuePackage/QueueADT.html#isEmpty--">isEmpty</a></code>&nbsp;in interface&nbsp;<code><a href="../QueuePackage/QueueADT.html" title="interface in QueuePackage">QueueADT</a>&lt;<a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if this queue is empty</dd>
</dl>
</li>
</ul>
<a name="size--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre>public&nbsp;int&nbsp;size()</pre>
<div class="block">Rerturn the number of elements in this queue</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../QueuePackage/QueueADT.html#size--">size</a></code>&nbsp;in interface&nbsp;<code><a href="../QueuePackage/QueueADT.html" title="interface in QueuePackage">QueueADT</a>&lt;<a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of elements in the queue</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Returns a string representation of this queue.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../QueuePackage/QueueADT.html#toString--">toString</a></code>&nbsp;in interface&nbsp;<code><a href="../QueuePackage/QueueADT.html" title="interface in QueuePackage">QueueADT</a>&lt;<a href="../QueuePackage/LinkedQueue.html" title="type parameter in LinkedQueue">T</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the string representation of this queue</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../QueuePackage/LinearNode.html" title="class in QueuePackage"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../QueuePackage/QueueADT.html" title="interface in QueuePackage"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?QueuePackage/LinkedQueue.html" target="_top">Frames</a></li>
<li><a href="LinkedQueue.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
